Package org.eclipse.net4j.util.om.trace

# Class Tracer

java.lang.Object
org.eclipse.net4j.util.om.trace.Tracer

All Implemented Interfaces:
  `OMTracer`

public class Tracer extends Object implements OMTracer
The default implementation of a `tracer`.

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROP_DISABLE_TRACING`
`static final String`
`PROP_DISABLE_TRACING_OPTIONS`

## Constructor Summary

Constructors
Constructor
Description
`Tracer(OMBundle bundle, String name)`

## Method Summary

Modifier and Type
Method
Description
`OMTraceHandlerEvent`
`format(Class<?> context, String pattern, Object... args)`
`OMTraceHandlerEvent`
`format(Class<?> context, String pattern, Throwable t, Object... args)`
`OMBundle`
`getBundle()`
`String`
`getFullName()`
`String`
`getName()`
`OMTracer`
`getParent()`
`boolean`
`isEnabled()`
`void`
`setEnabled(boolean enabled)`
`String`
`toString()`
`OMTraceHandlerEvent`
`trace(Class<?> context, String msg)`
`OMTraceHandlerEvent`
`trace(Class<?> context, String msg, Throwable t)`
`OMTraceHandlerEvent`
`trace(Class<?> context, Throwable t)`
`void`
`trace(OMTraceHandlerEvent event)`
`OMTracer`
`tracer(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PROP_DISABLE_TRACING

public static final String PROP_DISABLE_TRACING

Since:
  3.0
See Also:
  - Constant Field Values

### PROP_DISABLE_TRACING_OPTIONS

public static final String PROP_DISABLE_TRACING_OPTIONS

Since:
  3.6
See Also:
  - Constant Field Values

## Constructor Details

### Tracer

public Tracer(OMBundle bundle, String name)

## Method Details

### getBundle

public OMBundle getBundle()

Specified by:
  `getBundle` in interface `OMTracer`

### getParent

public OMTracer getParent()

Specified by:
  `getParent` in interface `OMTracer`

### getName

public String getName()

Specified by:
  `getName` in interface `OMTracer`

### getFullName

public String getFullName()

Specified by:
  `getFullName` in interface `OMTracer`

### isEnabled

public boolean isEnabled()

Specified by:
  `isEnabled` in interface `OMTracer`

### setEnabled

public void setEnabled(boolean enabled)

Specified by:
  `setEnabled` in interface `OMTracer`

### trace

public void trace(OMTraceHandlerEvent event)

Specified by:
  `trace` in interface `OMTracer`

### trace

public OMTraceHandlerEvent trace(Class<?> context, String msg, Throwable t)

Specified by:
  `trace` in interface `OMTracer`

### format

public OMTraceHandlerEvent format(Class<?> context, String pattern, Throwable t, Object... args)

Specified by:
  `format` in interface `OMTracer`

### format

public OMTraceHandlerEvent format(Class<?> context, String pattern, Object... args)

Specified by:
  `format` in interface `OMTracer`

### trace

public OMTraceHandlerEvent trace(Class<?> context, String msg)

Specified by:
  `trace` in interface `OMTracer`

### trace

public OMTraceHandlerEvent trace(Class<?> context, Throwable t)

Specified by:
  `trace` in interface `OMTracer`

### tracer

public OMTracer tracer(String name)

Specified by:
  `tracer` in interface `OMTracer`

### toString

public String toString()

Overrides:
  `toString` in class `Object`